import { SetupContext } from 'vue';
import { LayerStyleUniqueThemeProps, LayerStyleUniqueThemeEmits } from './types';
export declare const useLayerStyleUniqueTheme: (props: LayerStyleUniqueThemeProps, emit: SetupContext<LayerStyleUniqueThemeEmits>['emit'], gradientColorSelectRef: any) => {
    renderer: import('@vue/reactivity').Ref<any, any>;
    renderMode: import('@vue/reactivity').Ref<any, any>;
    validFields: import('@vue/reactivity').ComputedRef<any>;
    uniqueValueInfoItems: import('@vue/reactivity').ComputedRef<any>;
    wrapperComponent: import('@vue/reactivity').ComputedRef<"div" | "mapgis-ui-setting-form">;
    isUniqueTheme: import('@vue/reactivity').ComputedRef<(themeType: any) => boolean>;
    isPointGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    isLineGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    isPolygonGeometryType: import('@vue/reactivity').ComputedRef<boolean>;
    symbolColor2Rgba: (color: any) => any;
    handleFieldChange: (field: any) => Promise<void>;
    handleColorsChange: (colors: any, isAuto: any) => void;
    handleColorAlphaChange: () => void;
    handleDefaultSymbolChange: ({ symbolJSON }: {
        symbolJSON: any;
    }) => void;
    handleUniqueValueVisibleChange: (uniqueValueItem: any, { target: { checked } }: {
        target: {
            checked: any;
        };
    }) => void;
    handleUniqueValueSymbolChange: (uniqueValueItem: any, { symbolJSON }: {
        symbolJSON: any;
    }) => void;
    activePanel: import('@vue/reactivity').Ref<string, string>;
    supportedFieldTypes: import('@vue/reactivity').Ref<string[], string[]>;
    symbolGradientColor: import('@vue/reactivity').Ref<string, string>;
    symbolColorAlpha: import('@vue/reactivity').Ref<number, number>;
};
